Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jun 2015 12:58:18 +0300

> Date: Sat, 6 Jun 2015 10:35:46 +0100
> From: Reuben Thomas <[email-masked]>
> Cc: [email-masked]
> 
>     > The en_US dictionary contains "etc", which is incorrect.
>     
>     Not that I'm maintaining those dictionaries, but why is it incorrect,
>     in your opinion? It clearly produces the desirable effect, doesn't it?
>     
> 
> ​No, it produces the undesirable effect of treating "etc" as a correct spelling.​

I think it's a correct spelling, but that's me.

>     Does this mean that your problem is solved, and we can close this bug?
>     Or does something still need to be fixed in Emacs?
>     
> 
> ​Sorry, I must have been unclear. I still have the original problem: without the
> workaround of adding incorrect spellings to my personal wordlist, "i.e." and
> "e.g." are marked as wrong in en_GB. I just double checked this with the
> following recipe:
> 
> 1. Rename my ~/.hunspell_en_GB.
> 
> 2. Start "emacs -Q"
> 
> 3. M-x flyspell-mode RET
> 
> 4. M-x customize-variable RET ispell-program-name RET; set to
> "/usr/bin/hunspell" (doing this after step 3 because the variable is not
> available for customization before loading ispell)
> 
> 5. Type "etc. i.e. e.g."
> 
> All of the above is now red-underwiggled.

But do you agree that it's not an Emacs problem?